com.fasterxml.jackson.databind

## Class BeanProperty.Bogus

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Bogus

- All Implemented Interfaces:
    BeanProperty, Named
  Enclosing interface:
    BeanProperty

      public static class BeanProperty.Bogus
      extends Object
      implements BeanProperty

  Alternative "Null" implementation that can be used in cases where a non-null `BeanProperty` is needed
  Since:
    2.9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `BeanProperty.Bogus, BeanProperty.Std`

  - ### Field Summary

    - ### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `EMPTY_FORMAT, EMPTY_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bogus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `depositSchemaProperty(JsonObjectFormatVisitor objectVisitor, SerializerProvider provider)` Method that can be called to visit the type structure that this property is part of.
    `List<PropertyName>` | `findAliases(MapperConfig<?> config)` Method for accessing set of possible alternate names that are accepted during deserialization.
    `JsonFormat.Value` | `findFormatOverrides(AnnotationIntrospector intr)` Deprecated.
    `JsonFormat.Value` | `findPropertyFormat(MapperConfig<?> config, Class<?> baseType)` Helper method used to look up format settings applicable to this property, considering both possible per-type configuration settings
    `JsonInclude.Value` | `findPropertyInclusion(MapperConfig<?> config, Class<?> baseType)` Convenience method that is roughly equivalent to
    `<A extends Annotation> A` | `getAnnotation(Class<A> acls)` Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
    `<A extends Annotation> A` | `getContextAnnotation(Class<A> acls)` Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).
    `PropertyName` | `getFullName()` Method for getting full name definition, including possible format-specific additional properties (such as namespace when using XML backend).
    `AnnotatedMember` | `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
    `PropertyMetadata` | `getMetadata()` Accessor for additional optional information about property.
    `String` | `getName()` Method to get logical name of the property
    `JavaType` | `getType()` Method to get declared type of the property.
    `PropertyName` | `getWrapperName()` If property is indicated to be wrapped, name of wrapper element to use.
    `boolean` | `isRequired()` Whether value for property is marked as required using annotations or associated schema.
    `boolean` | `isVirtual()` Accessor for checking whether there is an actual physical property behind this property abstraction or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bogus

          public Bogus()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `BeanProperty`
      Method to get logical name of the property
      Specified by:
        `getName` in interface `BeanProperty`
      Specified by:
        `getName` in interface `Named`

    - #### getFullName

          public PropertyName getFullName()

      Description copied from interface: `BeanProperty`
      Method for getting full name definition, including possible format-specific additional properties (such as namespace when using XML backend).
      Specified by:
        `getFullName` in interface `BeanProperty`

    - #### getType

          public JavaType getType()

      Description copied from interface: `BeanProperty`
      Method to get declared type of the property.
      Specified by:
        `getType` in interface `BeanProperty`

    - #### getWrapperName

          public PropertyName getWrapperName()

      Description copied from interface: `BeanProperty`
      If property is indicated to be wrapped, name of wrapper element to use.
      Specified by:
        `getWrapperName` in interface `BeanProperty`

    - #### getMetadata

          public PropertyMetadata getMetadata()

      Description copied from interface: `BeanProperty`
      Accessor for additional optional information about property.
      Specified by:
        `getMetadata` in interface `BeanProperty`
      Returns:
        Metadata about property; never null.

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `BeanProperty`
      Whether value for property is marked as required using annotations or associated schema. Equivalent to: `getMetadata().isRequired()`
      Specified by:
        `isRequired` in interface `BeanProperty`

    - #### isVirtual

          public boolean isVirtual()

      Description copied from interface: `BeanProperty`
      Accessor for checking whether there is an actual physical property behind this property abstraction or not.
      Specified by:
        `isVirtual` in interface `BeanProperty`

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> acls)

      Description copied from interface: `BeanProperty`
      Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.

      Note that this method should only be called for custom annotations; access to standard Jackson annotations (or ones supported by alternate `AnnotationIntrospector`s) should be accessed through `AnnotationIntrospector`.

      Specified by:
        `getAnnotation` in interface `BeanProperty`

    - #### getContextAnnotation

          public <A extends Annotation> A getContextAnnotation(Class<A> acls)

      Description copied from interface: `BeanProperty`
      Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).

      Note that this method should only be called for custom annotations; access to standard Jackson annotations (or ones supported by alternate `AnnotationIntrospector`s) should be accessed through `AnnotationIntrospector`.

      Specified by:
        `getContextAnnotation` in interface `BeanProperty`

    - #### getMember

          public AnnotatedMember getMember()

      Description copied from interface: `BeanProperty`
      Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
      Specified by:
        `getMember` in interface `BeanProperty`

    - #### findFormatOverrides

          @Deprecated
          public JsonFormat.Value findFormatOverrides(AnnotationIntrospector intr)

      Deprecated.
      Description copied from interface: `BeanProperty`
      Convenience method that is roughly equivalent to

             return intr.findFormat(getMember());

      and specifically does NOT try to find per-type format defaults to merge; use `BeanProperty.findPropertyFormat(com.fasterxml.jackson.databind.cfg.MapperConfig<?>, java.lang.Class<?>)` if such defaults would be useful.
      Specified by:
        `findFormatOverrides` in interface `BeanProperty`

    - #### findPropertyFormat

          public JsonFormat.Value findPropertyFormat(MapperConfig<?> config,
                                                     Class<?> baseType)

      Description copied from interface: `BeanProperty`
      Helper method used to look up format settings applicable to this property, considering both possible per-type configuration settings
      Specified by:
        `findPropertyFormat` in interface `BeanProperty`

    - #### findPropertyInclusion

          public JsonInclude.Value findPropertyInclusion(MapperConfig<?> config,
                                                         Class<?> baseType)

      Description copied from interface: `BeanProperty`
      Convenience method that is roughly equivalent to

             return config.getAnnotationIntrospector().findPropertyInclusion(getMember());

      but also considers global default settings for inclusion
      Specified by:
        `findPropertyInclusion` in interface `BeanProperty`

    - #### findAliases

          public List<PropertyName> findAliases(MapperConfig<?> config)

      Description copied from interface: `BeanProperty`
      Method for accessing set of possible alternate names that are accepted during deserialization.
      Specified by:
        `findAliases` in interface `BeanProperty`
      Returns:
        List (possibly empty) of alternate names; never null

    - #### depositSchemaProperty

          public void depositSchemaProperty(JsonObjectFormatVisitor objectVisitor,
                                            SerializerProvider provider)
                                     throws JsonMappingException

      Description copied from interface: `BeanProperty`
      Method that can be called to visit the type structure that this property is part of. Note that not all implementations support traversal with this method; those that do not should throw `UnsupportedOperationException`.

      NOTE: Starting with 2.7, takes explicit `SerializerProvider` argument to reduce the need to rely on provider visitor may or may not have assigned.

      Specified by:
        `depositSchemaProperty` in interface `BeanProperty`
      Parameters:
        `objectVisitor` - Visitor to used as the callback handler
      Throws:
        `JsonMappingException`

Copyright © 2008–2018 FasterXML. All rights reserved.